Page MenuHomePhabricator

Simplified/Traditional Chinese not found when "Chinese" entered
Closed, ResolvedPublic

Description

When I search on https://translatewiki.net/w/i.php?title=Special:Translate&group=out-wikimedia-mobile-wikipedia-android-strings&language=zh-hans&filter=&action=translate for "Chinese" under languages to translate to I only get the disabled options but not Simplified Chinese (zh-hans) or Traditional Chinese (zh-hant).
Wouldn't it be better to have those show up instead when I search for just "Chinese"?

Details

Reference
bz71891

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:43 AM
bzimport set Reference to bz71891.
bzimport added a subscriber: Unknown Object (MLST).
bearND created this task.Oct 9 2014, 5:42 PM
Nikerabbit set Security to None.
Arrbee moved this task from Backlog to Sprint Backlog on the Language-Team board.Jun 4 2015, 9:33 AM
Amire80 updated the task description. (Show Details)Oct 12 2015, 7:59 PM
Amire80 removed a project: Language-Team.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2015, 7:59 PM

This issue is still present, and the cause is that we only do prefix search. Injecting additional names such as Chinese (traditional) could work around the issue, if we cannot change from prefix search to word search due to performance concerns.

This comment was removed by Liuxinyu970226.
Liuxinyu970226 added a comment.EditedDec 29 2016, 1:50 AM
NOTE: Texts in this comment are already tracked at T52270

To be honesty, I can confirm on zhwiki that:

By using zh, zh-hans, zh-hant, zh-mo, and zh-my (suddenly want to say, why we can't drop it?), only zh-cn, zh-tw, zh-sg, and zh-hk shown:

When using one of these four, the one that you chose will be hidden (should be expected):

You can also just confirm it on any of WMF wikis, the results are per above.

On TWN, however, other than these four variants, I can also see Min Nan (Why? Why? Why?):

As per above, there's nothing to do under zh.* projects, hence removing that tag.

@Shizhao feel free to re-add it if there's something that T52270 not included.

Change 386158 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/UniversalLanguageSelector@master] Add special language names to facilitate searching

https://gerrit.wikimedia.org/r/386158

Nikerabbit edited projects, added Language-2017-Oct-Dec; removed Patch-For-Review.

Change 386158 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Add special language names to facilitate searching

https://gerrit.wikimedia.org/r/386158

Arrbee moved this task from Backlog to QA on the Language-2017-Oct-Dec board.Nov 27 2017, 7:18 AM

The example still doesn't work.

The issue is that we have this much improved backend search but the frontend does not call the backend if it finds results locally. We should change that.

Change 393589 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/UniversalLanguageSelector@master] Improve ULS language search api

https://gerrit.wikimedia.org/r/393589

Change 393589 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Improve ULS language search api

https://gerrit.wikimedia.org/r/393589

Arrbee moved this task from In Review to QA on the Language-2017-Oct-Dec board.Dec 1 2017, 7:18 AM

@Nikerabbit - the patch was merged to master - does it mean that it's in translatewiki?

It seems that the issue is still present n translatewiki: entering the search term 'Chinese' will return the following:

The choices will lead to a page with the

Translations to this language in this group have been disabled. Reason:
This language code should remain unused. Localise in zh-hans or zh-hant please.

Entering zh-hans will correctly display

Note: In cx-testing, zh-hans and zh-hant are not recognized on ContentTranslation page. The ULS finds both.

Translatewiki.net was not updated. I updated it now.

Checked in translatewiki.net - both 中文(简体)(Simplified Chinese)
中文(繁體)(Traditional Chinese) are shown when 'Chinese' search term is entered.

Etonkovidova closed this task as Resolved.Dec 5 2017, 10:51 PM
Nikerabbit moved this task from QA to Done on the Language-2017-Oct-Dec board.